[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# BitBtnModalResults

Contains modal result values for buttons defined in TBitBtnKind.

## Declaration

Source position: buttons.pp line 540

`const BitBtnModalResults: array [TBitBtnKind] of TModalResult = (0, mrOK, mrCancel, 0, mrYes, mrNo, mrClose, mrAbort, mrRetry, mrIgnore, mrAll, mrNoToAll, mrYesToAll);`

## Description

BitBtnModalResults is an Array constant which contains TModalResult values returned for buttons in TBitBtn. BitBtnModalResults is indexed by the enumeration values in TBitBtnKind. BitBtnModalResults is used in the implementation of the RealizeKind method in TCustomBitBtn.

## See also

TBitBtnKind |  | TBitBtnKind - enumerated type of possible kinds of BitButtons.